<?php

declare(strict_types=1);

namespace KupShop\KupShopBundle\Exception;

use KupShop\KupShopBundle\Util\Logging\CustomDataExceptionInterface;

class OrderMessageException extends \Exception implements CustomDataExceptionInterface
{
    public function __construct(string $message = '', private array $data = [], int $code = 0, ?\Throwable $previous = null)
    {
        parent::__construct($message, $code, $previous);
    }

    public function getData(): array
    {
        return $this->data;
    }
}
